## r-cran-classint 0.3

=== DESCRIPTION ===
Package: classInt
Version: 0.3-1
Date: 2018-12-18
Title: Choose Univariate Class Intervals
Authors@R: c(person("Roger", "Bivand", role=c("aut", "cre"), email="Roger.Bivand@nhh.no", comment=c(ORCID="0000-0003-2392-6140")), person("Hisaji", "Ono", role="ctb"), person("Richard", "Dunlap", role="ctb"), person("Matthieu", "Stigler", role="ctb"))
Depends: R (>= 2.2)
Imports: grDevices, stats, graphics, e1071, class
Suggests: spData (>= 0.2.6.2)
Description: Selected commonly used methods for choosing univariate class intervals for mapping or other graphics purposes.
License: GPL (>= 2)
URL: https://github.com/r-spatial/classInt/
BugReports: https://github.com/r-spatial/classInt/issues/
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2018-12-18 10:11:39 UTC; rsb
Author: Roger Bivand [aut, cre] (<https://orcid.org/0000-0003-2392-6140>),
  Hisaji Ono [ctb],
  Richard Dunlap [ctb],
  Matthieu Stigler [ctb]
Maintainer: Roger Bivand <Roger.Bivand@nhh.no>
Repository: CRAN
Date/Publication: 2018-12-18 11:00:16 UTC

## r-cran-classint 0.2-3

=== debian/changelog ===
r-cran-classint (0.2-3-1) unstable; urgency=medium

  * Initial release (closes: #899432)

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2018 09:11:39 +0200

=== debian/control ===
Source: r-cran-classint
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-spdata,
               r-cran-e1071,
               r-cran-class
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
Homepage: https://cran.r-project.org/package=classInt

Package: r-cran-classint
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Choose Univariate Class Intervals
 This package provides selected commonly used methods for choosing
 univariate class intervals for mapping or other graphics purposes
 for GNU R.

## r-cran-classint 0.3-1

=== debian/changelog ===
r-cran-classint (0.3-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0
  * mv debian/tests/control.autodep8 debian/tests/control

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 11:38:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-cran-spdata,
                r-cran-e1071,
                r-cran-class
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
 Homepage: https://cran.r-project.org/package=classInt

## r-cran-classint 0.4

=== DESCRIPTION ===
Package: classInt
Version: 0.4-10
Date: 2023-08-24
Title: Choose Univariate Class Intervals
Authors@R: c(
  person("Roger", "Bivand", role=c("aut", "cre"), email="Roger.Bivand@nhh.no", comment=c(ORCID="0000-0003-2392-6140")),
  person("Bill", "Denney", role="ctb", comment=c(ORCID="0000-0002-5759-428X")),
  person("Richard", "Dunlap", role="ctb"),
  person("Diego", "Hernangómez", role="ctb", comment=c(ORCID="0000-0001-8457-4658")),
  person("Hisaji", "Ono", role="ctb"),
  person("Josiah", "Parry", role = "ctb", comment = c(ORCID = "0000-0001-9910-865X")),
  person("Matthieu", "Stigler", role="ctb", comment =c(ORCID="0000-0002-6802-4290")))
Depends: R (>= 2.2)
Imports: grDevices, stats, graphics, e1071, class, KernSmooth
Suggests: spData (>= 0.2.6.2), units, knitr, rmarkdown, tinytest
NeedsCompilation: yes
Description: Selected commonly used methods for choosing univariate class intervals for mapping or other graphics purposes.
License: GPL (>= 2)
URL: https://r-spatial.github.io/classInt/,
        https://github.com/r-spatial/classInt/
BugReports: https://github.com/r-spatial/classInt/issues/
RoxygenNote: 6.1.1
Encoding: UTF-8
VignetteBuilder: knitr
Packaged: 2023-09-05 08:36:55 UTC; rsb
Author: Roger Bivand [aut, cre] (<https://orcid.org/0000-0003-2392-6140>),
  Bill Denney [ctb] (<https://orcid.org/0000-0002-5759-428X>),
  Richard Dunlap [ctb],
  Diego Hernangómez [ctb] (<https://orcid.org/0000-0001-8457-4658>),
  Hisaji Ono [ctb],
  Josiah Parry [ctb] (<https://orcid.org/0000-0001-9910-865X>),
  Matthieu Stigler [ctb] (<https://orcid.org/0000-0002-6802-4290>)
Maintainer: Roger Bivand <Roger.Bivand@nhh.no>
Repository: CRAN
Date/Publication: 2023-09-05 13:00:06 UTC

## r-cran-classint 0.4-1

=== debian/changelog ===
r-cran-classint (0.4-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Thu, 22 Aug 2019 11:58:27 +0200

r-cran-classint (0.3-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 16:52:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-e1071,
-               r-cran-class
-Standards-Version: 4.3.0
+               r-cran-class,
+               r-cran-kernsmooth
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
 Homepage: https://cran.r-project.org/package=classInt

## r-cran-classint 0.4-2

=== debian/changelog ===
r-cran-classint (0.4-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 29 Oct 2019 10:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-e1071,
                r-cran-class,
                r-cran-kernsmooth
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
 Homepage: https://cran.r-project.org/package=classInt

## r-cran-classint 0.4-3

=== debian/changelog ===
r-cran-classint (0.4-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Apr 2020 21:10:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                r-cran-e1071,
                r-cran-class,
                r-cran-kernsmooth
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
 Homepage: https://cran.r-project.org/package=classInt
+Rules-Requires-Root: no
 
 Package: r-cran-classint
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/classInt_([-\d.]*)\.tar\.gz

## r-cran-classint 0.4-7

=== debian/changelog ===
r-cran-classint (0.4-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jun 2022 15:13:33 +0200

=== debian/control ===
Source: r-cran-classint
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
Homepage: https://cran.r-project.org/package=classInt
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-e1071,
               r-cran-class,
               r-cran-kernsmooth
Testsuite: autopkgtest-pkg-r

Package: r-cran-classint
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Choose Univariate Class Intervals
 This package provides selected commonly used methods for choosing
 univariate class intervals for mapping or other graphics purposes
 for GNU R.

## r-cran-classint 0.4-8+dfsg

=== debian/changelog ===
r-cran-classint (0.4-8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Disable reprotest
  * Fix lintian-override
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:00:16 +0200

## r-cran-classint 0.4-9+dfsg

=== debian/changelog ===
r-cran-classint (0.4-9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Mar 2023 11:41:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
 Homepage: https://cran.r-project.org/package=classInt
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/classInt_([-\d.]*)\.tar\.gz

## r-cran-classint 0.4-10+dfsg

=== debian/changelog ===
r-cran-classint (0.4-10+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 10 Sep 2023 18:15:07 +0200

## r-cran-classint 0.4-11%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-classint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-classint.git
 Homepage: https://cran.r-project.org/package=classInt
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-classint 0.4-11+dfsg

=== debian/changelog ===
r-cran-classint (0.4-11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Jan 2025 16:59:54 +0900

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spdata (>= 0.2.6.2),
        r-cran-units,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-tinytest
Restrictions: allow-stderr
